/v0.1/merchants/{merchant_code}/readers/{reader_id}Delete a reader.
OAuth scopes: Requires one of: readers.write, terminals.write.
Required permissions:
readers.delete
Path parameters
Short unique identifier for the merchant.
Example:
"MK10CL2A"- minLength:
30maxLength:30The unique identifier of the reader.
Example:
"rdr_3MSAFM23CK82VSTT4BN6RWSQ65"
Responses
200
Returns an empty response if the deletion succeeded.
Returns an empty response.
404application/problem+json
The requested Reader resource does not exist.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.